| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
FilterAction Class Reference
Inheritance diagram for FilterAction:

## Public Types
enum | Action { ActionApply , ActionColorize , ActionCopy , ActionFind , ActionPrepare , ActionWebLookup }
enum | ActionType { ActionTypePlain , ActionTypeNot , ActionTypeAnd , ActionTypeOr , ActionTypeAndNot , ActionTypeOrNot }
enum | ActionDirection { ActionDirectionAToFromB , ActionDirectionAToB , ActionDirectionAFromB , ActionDirectionAToFromAny , ActionDirectionAToAny , ActionDirectionAFromAny , ActionDirectionAnyToFromB , ActionDirectionAnyToB , ActionDirectionAnyFromB }

## Public Member Functions
| FilterAction (QObject *parent, Action action, ActionType type, QString actionName)
| FilterAction (QObject *parent, Action action, ActionType type, ActionDirection direction)
| FilterAction (QObject *parent, Action action, ActionType type)
| FilterAction (QObject *parent, Action action)
Action | action ()
ActionType | actionType ()
ActionDirection | actionDirection ()

## Static Public Member Functions
static const QList< Action > | actions ()
static const QString | actionName (Action action)
static const QList< ActionType > | actionTypes (Action filter_action=ActionApply)
static const QString | actionTypeName (ActionType type)
static const QList< ActionDirection > | actionDirections ()
static const QString | actionDirectionName (ActionDirection direction)
static QActionGroup * | createFilterGroup (QString filter, bool prepare, bool enabled, QWidget *parent)
static QMenu * | createFilterMenu (FilterAction::Action act, QString filter, bool enabled, QWidget *parent)
static QAction * | copyFilterAction (QString filter, QWidget *par)

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/filter_action.h
- /builds/wireshark/wireshark/ui/qt/filter_action.cpp